Skip to main content
`Ctrl`+`K`

# MatDestroyMatrices

Destroys an array of matrices

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDestroyMatrices(PetscInt n, Mat *mat[])

Collective

## Input Parameters

- n - the number of local matrices

- mat - the matrices (this is a pointer to the array of matrices)

## Notes

Frees not only the matrices, but also the array that contains the matrices

For matrices obtained with `MatCreateSubMatrices()` use `MatDestroySubMatrices()`

## See Also

Matrices, `Mat`, `MatCreateSubMatrices()`, `MatDestroySubMatrices()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages